=== debian/changelog ===
c2esp (18-4) unstable; urgency=low

  * Replace the PPD-updater postinst by CUPS' trigger.
    - Breaks against too old cups versions.
    - Add a ppd-updater file, to trigger with parameters.
  * Use the new dh_pyppd.
    - Version Build-Depends to pyppd.
    - Install PPDs to the package before the dh_pyppd call.

 -- Didier Raboud <odyx@debian.org>  Wed, 17 Aug 2011 22:42:35 +0200

c2esp (18-3) unstable; urgency=low

  * Merge from Ubuntu.

  [ Till Kamppeter ]
  * Add no-debug-files.patch. Make sure that no debug log file is
    created in /tmp and also fix a segfault on the marker level check.
  * debian/c2esp.postinst: Make automatic update of PPD actually work
    with the package's PPDs being pyppd-compressed.
  * Do not install myopldecode. It is only a debug helper and has
    security issues.

 -- Didier Raboud <odyx@debian.org>  Sun, 14 Aug 2011 20:22:41 +0200

c2esp (18-2) unstable; urgency=low

  * Compress PPDs using pyppd.
  * Add postinst to update cups installed printers' PPDs.

 -- Didier Raboud <odyx@debian.org>  Fri, 17 Jun 2011 21:56:22 +0200

c2esp (18-1) unstable; urgency=low

  * Initial release. (Closes: #629916)

 -- Didier Raboud <odyx@debian.org>  Thu, 09 Jun 2011 18:06:00 +0200
