=== debian/control ===
Source: c2esp
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libcupsimage2-dev, libcupsdriver1-dev, pyppd (>= 0.4.9-3~)
Vcs-Git: git://anonscm.debian.org/collab-maint/c2esp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c2esp.git
Homepage: http://cupsdriverkodak.sf.net/
Standards-Version: 3.9.2

Package: c2esp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cups, cups-client
Breaks: cups (<< 1.5.0-2~)
Suggests: psutils
Description: Driver for Kodak ESP 5xxx AiO color inkjet printers
 The c2esp driver is an open source Linux driver for the Kodak ESP
 5xxx AiO color inkjet printers. It is likely to work on ESP 3250,
 ESP 5250, ESP 7, ESP 9.
