=== debian/rules ===
#!/usr/bin/make -f

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

%:
	dh --with pyppd $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install
	install -D -m 755 debian/c2esp.ppd-updater $(CURDIR)/debian/c2esp/usr/share/cups/ppd-updaters/c2esp
ifeq ($(derives_from_ubuntu),yes)
	# Install the apport hook on Ubuntu and derivatives
	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/c2esp/usr/share/apport/package-hooks/source_c2esp.py
endif
