## c2esp 19

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # Makefile for c2esp09 has -lcupsimage instead of /usr/lib/libcupsimage.so.2 (intention: to make sucessfully in non ubuntu distros)
 # Makefile for c2esp13 has -lcups  (intention: to make sucessfully in Fedora)
+# Makefile for c2esp18a has myopldecode compiled but no longer installed
 LANG=C
 UNAME := $(shell uname)
 MACH := $(shell uname -m | sed 's/i.86/x86_32/')
@@ -15,9 +16,6 @@
 
 SYSNAME := $(shell uname -n)
 
-# No version number yet...
-#VERSION=0.0 #not used
-
 # Installation prefix...
 PREFIX=/usr/local
 PREFIX=/usr
@@ -57,68 +55,35 @@
     LPgid=
 endif
 
+# I think modtime is not used 15/8/11
 # Definition of modtime()
-MODTIME= date -d "1/1/1970 utc + `stat -t $$1 | cut -f14 -d' '` seconds" "+%a %b %d %T %Y"
-ifeq ($(UNAME),FreeBSD)
-    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
-endif
-ifeq ($(UNAME),OpenBSD)
-    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
-endif
-ifeq ($(UNAME),Darwin)
-    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
-endif
-ifeq ($(UNAME),SunOS)
-    MODTIME= `ls -e $$1 | cut -c42-61`
-endif
-
-#FILES is not used anymore
-#FILES	=	\
-#		README \
-#		README.in \
-#		INSTALL \
-#		INSTALL.in \
-#		COPYING \
-#		ChangeLog \
-#		Makefile \
-#		jbig.c \
-#		jbig.h \
-#		jbig_ar.c \
-#		jbig_ar.h \
-#		c2esptst.c \
-#		cups.h \
-#		myopldecode.c \
-#		gamma.ps \
-#		gamma-lookup.ps \
-#		PPD/*.ppd \
-#		$(NULL)
-#		INSTALL.osx \
-#		INSTALL.usb \
-#		align.ps \
-#		testpage.ps \
-#		foomatic-db/*/*.xml \
-#		foomatic-test \
-#		getweb.in \
-#		usb_printerid.c \
-#		usb_printerid.1in \
-#		msexpand \
-#		includer-man \
-#		macros.man \
-#		regress.txt \
-#		printer-profile \
-#		printer-profile.1in \
+#MODTIME= date -d "1/1/1970 utc + `stat -t $$1 | cut -f14 -d' '` seconds" "+%a %b %d %T %Y"
+#ifeq ($(UNAME),FreeBSD)
+#    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
+#endif
+#ifeq ($(UNAME),OpenBSD)
+#    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
+#endif
+#ifeq ($(UNAME),Darwin)
+#    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
+#endif
+#ifeq ($(UNAME),SunOS)
+#    MODTIME= `ls -e $$1 | cut -c42-61`
+#endif
+
 
 
 # Programs and libraries
-PROGS=		myopldecode
-#PROGS+=		printer-profile
+PROGS=
+# put PROGS= myopldecode if you want to install this debug tool
+#PROGS=		myopldecode
+# DEVPROGS are compiled but not installed
+DEVPROGS=	myopldecode
 FILTERS=	c2esp command2esp
 #SHELLS=
 MANPAGES=
-#MANPAGES+=	usb_printerid.1
-#MANPAGES+=	printer-profile.1
-LIBJBG	=	jbig85.o jbig.o jbig_ar.o
-#LIBJBG	=	jbig85.o jbig_ar.o
+LIBJBG	=	jbig.o jbig_ar.o
+LIBJBG85=	jbig85.o jbig_ar.o
 BINPROGS=
 
 ifeq ($(UNAME),Linux)
@@ -134,7 +99,7 @@
 # The usual build rules
 #
 
-all:	all-test $(FILTERS) $(PROGS) $(BINPROGS) $(SHELLS) all-done
+all:	all-test $(FILTERS) $(PROGS) $(DEVPROGS) $(BINPROGS) $(SHELLS) all-done
 
 all-test:
 	#
@@ -206,6 +171,8 @@
 	@echo "countries where a patent licence is required for certain applications"
 	@echo "of this software module, you will have to obtain such a licence"
 	@echo "yourself."
+	@echo 
+	@echo "The debug tool myopldecode is compiled, but not installed, put PROGS=myopldecode into the makefile if you want  to install it."
 
 #linkable stuff from ddk
 #CUPSDRVLIBS	=	-lcupsimage -lcups -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt
@@ -213,26 +180,17 @@
 #CUPSLIBS	=	-lcups -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt
 #CUPSLIBS_ST	=	/usr/lib/libcups.a -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt
 
-c2esptst: c2esptst.o $(LIBJBG)
-	$(CC) $(CFLAGS) -o $@ c2esptst.o -lcupsimage -lcups -lcupsdriver $(LIBJBG)
-#last	$(CC) $(CFLAGS) -o $@ c2esptst.o -lcupsimage  -lcups -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt $(LIBJBG) libcupsdriver.a
-#was	$(CC) $(CFLAGS) -o $@ c2esptst.o -lcupsimage $(LIBJBG) libcupsdriver.a
-
-
-c2esp: c2esp.o $(LIBJBG)
-#	/usr/lib/libcupsimage.so.2 replaced by -lcupsimage
-#	libcupsdriver.a removed
-	$(CC) $(CFLAGS) -o $@ c2esp.o -lcupsimage -lcups -lcupsdriver $(LIBJBG)
-#	previous version below, simplified version above
-#	$(CC) $(CFLAGS) -o $@ c2esp.o -lcups -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt /usr/lib/libcupsimage.so.2 $(LIBJBG) 
+#c2esptst: c2esptst.o $(LIBJBG)
+#	$(CC) $(CFLAGS) -o $@ c2esptst.o -lcupsimage -lcups -lcupsdriver $(LIBJBG)
+
+c2esp: c2esp.o $(LIBJBG85)
+	$(CC) $(CFLAGS) -o $@ c2esp.o -lcupsimage -lcups -lcupsdriver $(LIBJBG85)
 
 command2esp: command2esp.o
-#	$(CC) $(CFLAGS) -o $@ command2esp.o -lcups -lcupsdriver
 	$(CC) $(CFLAGS) -o $@ command2esp.o -lcups -lcupsdriver
 
 myopldecode: myopldecode.o $(LIBJBG)
-	$(CC) $(CFLAGS) -g myopldecode.o $(LIBJBG) -o $@
-
+	$(CC) $(CFLAGS) -o $@ $@.o $(LIBJBG)
 
 #
 # Installation rules
@@ -241,7 +199,7 @@
 install: all install-test install-prog install-ppd install-doc
 
 	# Now use your printer configuration GUI to create a new printer.
-
+	# The debug tool myopldecode is compiled, but not installed, put PROGS=myopldecode into the makefile if you want  to install it.
 install-test:
 	#
 	# Installation Dependencies...
@@ -258,8 +216,10 @@
 	# Install driver, and development tools
 	#
 
-	$(INSTALL) -d $(BIN)
-	$(INSTALL) -c $(PROGS) $(BIN)/
+	if [ "$(PROGS)" != "" ]; then \
+		$(INSTALL) -d $(BIN); \
+		$(INSTALL) -c $(PROGS) $(BIN); \
+	fi
 
 	$(INSTALL) -d $(FILTERBIN)
 	$(INSTALL) -c $(FILTERS) $(SHELLS) $(FILTERBIN)/
@@ -317,22 +277,27 @@
 # make README file from README.in
 README: README.in
 	rm -f $@
-	sed < $@.in > $@ \
-	    -e "s@\$${URLOAK}@$(URLOAK)@" \
-	    -e "s@\$${URLZJS}@$(URLZJS)@"
+	cp $@.in $@
+# changed 15/8/11 these URLs no longer used?
+#	sed < $@.in > $@ \
+#	    -e "s@\$${URLOAK}@$(URLOAK)@" \
+#	    -e "s@\$${URLZJS}@$(URLZJS)@"
 	chmod -w $@
 
 # make INSTALL file from INSTALL.in
 # adds a contents section to the start, using the capitalised subject headings.
-INSTALL: INSTALL.in Makefile
+#INSTALL: INSTALL.in Makefile
+INSTALL: INSTALL.in
 	rm -f $@
 	echo "TOPICS" > $@.tmp
 	echo "------" >> $@.tmp
 	grep ^[A-Z][A-Z] $@.in | sed "s/^/    * /" >> $@.tmp
 	echo >> $@.tmp
-	cat $@.tmp $@.in | sed > $@ \
-	    -e "s@\$${URLOAK}@$(URLOAK)@" \
-	    -e "s@\$${URLZJS}@$(URLZJS)@"
+	cat $@.tmp $@.in > $@
+# changed 15/8/11 these URLs no longer used?
+#	cat $@.tmp $@.in | sed > $@ \
+#	    -e "s@\$${URLOAK}@$(URLOAK)@" \
+#	    -e "s@\$${URLZJS}@$(URLZJS)@"
 	rm -f $@.tmp
 	chmod -w $@
 
@@ -344,8 +309,8 @@
 #	-rm -rf /usr/share/ppd/c2esp/
 	-rm -rf $(PPDDIR)
 	-rm -f $(BIN)/myopldecode
-	-rm -f $(BIN)/c2esptst
-	-rm -f $(FILTERBIN)/c2esptst
+#	-rm -f $(BIN)/c2esptst
+#	-rm -f $(FILTERBIN)/c2esptst
 	-rm -f $(BIN)/c2esp
 	-rm -f $(FILTERBIN)/c2esp
 #	done
@@ -358,7 +323,7 @@
 # Clean
 #
 clean:
-	-rm -f $(PROGS) $(BINPROGS) $(SHELLS) $(FILTERS)
+	-rm -f $(PROGS) $(BINPROGS) $(SHELLS) $(FILTERS) $(DEVPROGS)
 	-rm -f *.o
 	-rm -f *~
 	-rm -f ppd/*~
@@ -369,7 +334,7 @@
 #	-rm -f $(MANPAGES) manual.pdf
 #	-rm -f *.zjs *.zm *.zc *.zc? *.zc?? *.oak *.pbm *.pksm *.cmyk
 #	-rm -f pksm2bitcmyk
-	-rm -f *.icm.*.ps
+#	-rm -f *.icm.*.ps
 #	cd icc2ps; $(MAKE) $@
 
 #
@@ -377,7 +342,7 @@
 #
 jbig.o: jbig.h
 jbig85.o: jbig85.h
-c2esptst.o: jbig85.h
+#c2esptst.o: jbig85.h
 c2esp.o: jbig85.h 
 myopldecode.o: jbig.h
