=== debian/changelog ===
c2esp (19-2) unstable; urgency=low

  * Refactoring, action 1:
    - rename c2esp to printer-driver-c2esp, add transitional package.

  * Use the CUPS PPD generator (.drv) file instead of including ready-made PPD
    files, hence drop pyppd support.
  * Bump debhelper compat to 9, for auto- buildflags.
  * Slightly rewrite description.
  * Drop superfluous shebang from ppd-updater snippet.
  * Only recommend cups-ppdc.

 -- Didier Raboud <odyx@debian.org>  Fri, 21 Oct 2011 12:01:38 +0200

c2esp (19-1) unstable; urgency=low

  * New 19 upstream release
    - Remove no-debug-files.patch: included upstream.

 -- Didier Raboud <odyx@debian.org>  Tue, 13 Sep 2011 00:28:50 +0200

c2esp (18-5) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/no-debug-files.patch: Also command2esp produced debug log
    files in /tmp. Expanded the patch to fix this too.

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Aug 2011 11:15:38 +0200
