=== debian/control ===
Source: c2esp
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 8.9.0~), libcupsimage2-dev, libcupsdriver1-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/c2esp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c2esp.git
Homepage: http://cupsdriverkodak.sf.net/
Standards-Version: 3.9.2

Package: printer-driver-c2esp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cups-ppdc
Suggests: psutils
Breaks: cups (<< 1.5.0-2~), c2esp (<< 19-2~)
Replaces: c2esp (<< 19-2~)
Description: printer driver for Kodak ESP 5xxx AiO color inkjet
 The c2esp driver is an open source driver for the Kodak ESP 5xxx AiO color
 inkjet printers. It is likely to work on ESP 3250, ESP 5250, ESP 7, ESP 9.

Package: c2esp
Depends: printer-driver-c2esp, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional dummy package for c2esp printer driver
 This is a transitional dummy package to transition to uniformly named
 printer-driver-c2esp.
