=== debian/changelog ===
c2esp (21-1) unstable; urgency=low

  * New 21 upstream release.
    - Goes to unstable.

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Nov 2011 10:12:51 +0100

c2esp (21~rc3-1) experimental; urgency=low

  * New 21~rc3 upstream release.
    - Update debian/copyright with new files.
    - Also install the new cups .drv file.

  * Update long description to include the complete list of supported
    printers.
  * Update the ppd-updater regexp to match the new driver too.

 -- Didier Raboud <odyx@debian.org>  Wed, 02 Nov 2011 17:43:23 +0100
