=== debian/control ===
--- 
+++ 
@@ -16,9 +16,16 @@
 Suggests: psutils
 Breaks: cups (<< 1.5.0-2~), c2esp (<< 19-2~)
 Replaces: c2esp (<< 19-2~)
-Description: printer driver for Kodak ESP 5xxx AiO color inkjet
- The c2esp driver is an open source driver for the Kodak ESP 5xxx AiO color
- inkjet printers. It is likely to work on ESP 3250, ESP 5250, ESP 7, ESP 9.
+Description: printer driver for Kodak ESP AiO color inkjet Series
+ The c2esp driver is an open source driver for the Kodak ESP AiO color
+ inkjet printers series. It is likely to work on the
+ ESP 3200 Series AiO,
+ ESP 5200 Series AiO,
+ ESP 5500 Series AiO,
+ ESP 6100 Series AiO,
+ ESP 7200 Series AiO,
+ ESP 9200 Series AiO and
+ ESP C100 Series AiO.
 
 Package: c2esp
 Depends: printer-driver-c2esp, ${misc:Depends}
