## c2esp 23

=== Makefile ===
--- 
+++ 
@@ -170,8 +170,8 @@
 c2espC: c2espC.o c2espcommon.o 
 	$(CC) $(CFLAGS) -o $@ c2espC.o c2espcommon.o -lcupsimage -lcups -lcupsdriver -lz
 
-command2esp: command2esp.o
-	$(CC) $(CFLAGS) -o $@ command2esp.o -lcups -lcupsdriver
+command2esp: command2esp.o c2espcommon.o
+	$(CC) $(CFLAGS) -o $@ command2esp.o  c2espcommon.o -lcups -lcupsdriver
 
 myopldecode: myopldecode.o $(LIBJBG)
 	$(CC) $(CFLAGS) -o $@ $@.o $(LIBJBG) -lz
@@ -183,9 +183,8 @@
 
 	# Now use your printer configuration GUI to create a new printer.
 	#
-	# ESP Cxxx SUPPORT NOW INCLUDED FOR MONO & COLOUR, 300DPI & 600DPI
-	# Note that the ESP Cxxx support is a new feature and is untested
-	# So it is not likely that it will work correctly. Please report
+	# ESP Cxxx and Hero SUPPORT NOW INCLUDED FOR MONO & COLOUR, 300DPI & 600DPI
+	# Note that the ESP Cxxx and Hero support is a new feature. Please report
 	# how it works / does not work in the help forum.
 	# http://sourceforge.net/projects/cupsdriverkodak/forums
 	#
@@ -317,12 +316,14 @@
 c2esp.o: jbig85.h c2espcommon.h
 #c2espC.o: zlib.h 
 myopldecode.o: jbig.h
+command2esp.o: c2espcommon.h
 
 #
 #	PPD files
 #
-ppd:
+ppd: KodakESP_10.drv KodakESP_C_05.drv
 	#
 	# Generate PPD files using local tools
 	#
-
+	ppdc KodakESP_10.drv
+	ppdc KodakESP_C_05.drv
