=== debian/changelog ===
c2esp (23-1) unstable; urgency=low

  * New 23 upstream release.
    - Update description to cope with the newly supported printers.
    - Update install commands to cope with the new source driver names.

 -- Didier Raboud <odyx@debian.org>  Tue, 06 Dec 2011 19:13:16 +0100
