=== debian/control ===
--- 
+++ 
@@ -17,15 +17,21 @@
 Breaks: cups (<< 1.5.0-2~), c2esp (<< 19-2~)
 Replaces: c2esp (<< 19-2~)
 Description: printer driver for Kodak ESP AiO color inkjet Series
- The c2esp driver is an open source driver for the Kodak ESP AiO color
- inkjet printers series. It is likely to work on the
+ The c2esp driver is an open source driver for the Kodak ESP AiO and HERO
+ AiO color inkjet printers series. It is likely to work on the 
  ESP 3200 Series AiO,
  ESP 5200 Series AiO,
  ESP 5500 Series AiO,
  ESP 6100 Series AiO,
  ESP 7200 Series AiO,
- ESP 9200 Series AiO and
+ ESP 9200 Series AiO,
  ESP C100 Series AiO.
+ ESP C310 Series AiO,
+ HERO 3.1 AiO,
+ HERO 5.1 AiO,
+ HERO 6.1 AiO,
+ HERO 7.1 AiO and
+ HERO 9.1 AiO.
 
 Package: c2esp
 Depends: printer-driver-c2esp, ${misc:Depends}
