## c2esp 24

=== Makefile ===
--- 
+++ 
@@ -80,6 +80,7 @@
 
 # Compiler flags
 CFLAGS +=	-O2 -Wall
+#CFLAGS +=	-m32 -O2 -Wall # to produce 32-bit binaries on 64-bit OS
 #CFLAGS +=	-g #to make debug info
 
 
@@ -183,9 +184,7 @@
 
 	# Now use your printer configuration GUI to create a new printer.
 	#
-	# ESP Cxxx and Hero SUPPORT NOW INCLUDED FOR MONO & COLOUR, 300DPI & 600DPI
-	# Note that the ESP Cxxx and Hero support is a new feature. Please report
-	# how it works / does not work in the help forum.
+	# help forum.
 	# http://sourceforge.net/projects/cupsdriverkodak/forums
 	#
 
@@ -321,9 +320,9 @@
 #
 #	PPD files
 #
-ppd: KodakESP_10.drv KodakESP_C_05.drv
+ppd: KodakESP_10.drv KodakESP_C_06.drv
 	#
 	# Generate PPD files using local tools
 	#
 	ppdc KodakESP_10.drv
-	ppdc KodakESP_C_05.drv
+	ppdc KodakESP_C_06.drv
