=== debian/changelog ===
c2esp (24-2) unstable; urgency=low

  * Use the Debian-provided libjbig:
    - Add libjbig-dev to Build-Depends;
    - Add 00-system-libjbig.patch.

 -- Didier Raboud <odyx@debian.org>  Thu, 26 Apr 2012 10:44:13 +0200

c2esp (24-1) unstable; urgency=low

  * New 24 upstream release.
    - Update description to cope with the newly supported printers.
    - Update install commands to cope with the new source driver names.

  * Update debian/copyright with copyright-format 1.0; update years.
  * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Thu, 22 Mar 2012 10:17:52 +0100
