=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.9.0~), libcupsimage2-dev, libcupsdriver1-dev
+Build-Depends: debhelper (>= 8.9.0~), libcupsimage2-dev, libcupsdriver1-dev, libjbig-dev
 Vcs-Git: git://anonscm.debian.org/collab-maint/c2esp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c2esp.git
 Homepage: http://cupsdriverkodak.sf.net/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: printer-driver-c2esp
 Architecture: any
@@ -19,6 +19,7 @@
 Description: printer driver for Kodak ESP AiO color inkjet Series
  The c2esp driver is an open source driver for the Kodak ESP AiO and HERO
  AiO color inkjet printers series. It is likely to work on the 
+ ESP 2100 Series AiO,
  ESP 3200 Series AiO,
  ESP 5200 Series AiO,
  ESP 5500 Series AiO,
