=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 override_dh_install:
 	dh_install
 	install -D -m 644 KodakESP_10.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2esp.drv
-	install -D -m 644 KodakESP_C_05.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2espC.drv
+	install -D -m 644 KodakESP_C_06.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2espC.drv
 ifeq ($(derives_from_ubuntu),yes)
 	# Install the apport hook on Ubuntu and derivatives
 	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-c2esp/usr/share/apport/package-hooks/source_c2esp.py
