## c2esp 25c

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 # Makefile for c2esp19 has myopldecode compiled but no longer installed
 # Makefile for c2esp20 has some redundant stuff deleted, ppd file names are echoed, c2espC added
 # Makefile for c2esp21 has forceppd added
+# Makefile for c2esp25 has minor changes. (*.in files are deleted from the doc directory)
+# Makefile for c2esp25c runs ppdc at install stage if it is installed
 
 LANG=C
 UNAME := $(shell uname)
@@ -25,6 +27,8 @@
 PREFIX=/usr/local
 PREFIX=/usr
 PREFIX=$(DESTDIR)/usr
+
+PPDCFOUND=0
 
 # Pathnames for this package...
 BIN=$(PREFIX)/bin
@@ -149,7 +153,6 @@
 	    exit 1; \
 	fi
 
-	
 	# ... OK!
 	#
 
@@ -182,9 +185,11 @@
 #
 install: all install-test install-prog install-ppd install-doc
 
+	#
 	# Now use your printer configuration GUI to create a new printer.
 	#
-	# help forum.
+	# ESP Cxxx and Hero SUPPORT NOW INCLUDED FOR MONO & COLOUR, 300DPI & 600DPI
+	# Please report problems in the help forum.
 	# http://sourceforge.net/projects/cupsdriverkodak/forums
 	#
 
@@ -201,7 +206,11 @@
 	#
 	# Installation Dependencies...
 	#
-	# none as yet
+# new in c2esp25c
+	@if test -f /usr/bin/ppdc; then \
+	    echo "ppdc is available"; \
+	fi
+
 	# ... OK!
 	#
     
@@ -236,11 +245,32 @@
 VARPPD=/var/lp/ppd
 install-ppd:
 	#
+	# Generate PPD files using ppdc tool of currently installed CUPS version
+	# run ppdc if it is present
+	@if test -f /usr/bin/ppdc; then \
+	    echo "ppdc is available so running it"; \
+		mkdir -p ppd; \
+		ppdc KodakESP_14.drv; \
+		ppdc KodakESP_C_05.drv; \
+	fi
+
+	#
+	# work around a bug in CUPS ppdc 1.4.x for "8x10" format by post-editing PPD files
+	#
+	for i in ppd/*.ppd ; do \
+	    mv $$i $$i.orig ; \
+	    sed '1,$$s/8 x 10"/8x10/g' $$i.orig > $$i ; \
+	done
+	rm ppd/*.orig
+
+	#
 	# Install PPD files for CUPS
 	#
 	$(INSTALL) -d -m 755 $(PPDDIR)
+	rm -f $(PPDDIR)/*.ppd
 	    cd ppd; \
-	    for ppdfile in *.ppd; do echo $$ppdfile; \
+	    for ppdfile in *.ppd; do \
+	        echo $$ppdfile; \
 	    $(INSTALL) -c -m 644 $$ppdfile $(PPDDIR); \
 	    done;
 
@@ -254,10 +284,13 @@
 	#
 	# Install documentation
 	#
+	rm -f $(DOCDIR)/INSTALL.in
+	rm -f $(DOCDIR)/README.in
 	$(INSTALL) -d -m 755 $(DOCDIR)
 	$(INSTALL) -c -m 644 COPYING $(DOCDIR)
 	$(INSTALL) -c -m 644 INSTALL $(DOCDIR)
 	$(INSTALL) -c -m 644 README $(DOCDIR)
+	$(INSTALL) -c -m 644 c2esp.txt $(DOCDIR)
 
 # make README file from README.in just copy and make read only
 README: README.in
@@ -282,16 +315,14 @@
 # Uninstall
 #
 uninstall:
-#	-rm -f $(MANDIR)/man1/arm2hpdl.1 $(MANDIR)/man1/usb_printerid.1
 	-rm -rf $(PPDDIR)
 	-rm -f $(BIN)/myopldecode
 	-rm -f $(BIN)/c2esp
-#	-rm -f $(BIN)/cupslog
 	-rm -f $(BIN)/c2esplog
 	-rm -f $(FILTERBIN)/c2esp
 	-rm -f $(FILTERBIN)/c2espC
 #	done
-#remove any compessed ppds
+#remove any compressed ppds
 	cd ppd; for ppdfile in *.ppd; do \
 	    rm -f $(MODEL)/$$ppdfile.gz; \
 	done;
@@ -299,11 +330,12 @@
 #
 # Clean
 #
-clean:
+clean: install-test
 	-rm -f $(PROGS) $(BINPROGS) $(SHELLS) $(FILTERS) $(DEVPROGS)
 	-rm -f *.o
 	-rm -f *~
-	-rm -f ppd/*~
+# Do not remove ppds, so that users without ppdc can install them
+#	-rm -f ppd/*
 	-rm -f *.tar.gz
 #	-rm -f $(MANPAGES) manual.pdf
 
@@ -313,16 +345,8 @@
 jbig.o: jbig.h
 jbig85.o: jbig85.h
 c2esp.o: jbig85.h c2espcommon.h
-#c2espC.o: zlib.h 
+c2espC.o: c2espcommon.h
 myopldecode.o: jbig.h
 command2esp.o: c2espcommon.h
-
-#
-#	PPD files
-#
-ppd: KodakESP_10.drv KodakESP_C_06.drv
-	#
-	# Generate PPD files using local tools
-	#
-	ppdc KodakESP_10.drv
-	ppdc KodakESP_C_06.drv
+c2espcommon.o: c2espcommon.h
+
