=== debian/changelog ===
c2esp (25c-1ubuntu1) quantal; urgency=low

  * debian/patches/adapt-to-cups-1.6-and-cups-filters.patch: Make package
    building with CUPS 1.6.x and cups-filters.
  * debian/control: Changed build dependencies from libcupsdriver1-dev to
    libcupsfilters-dev.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  3 Sep 2012 13:36:29 +0200

c2esp (25c-1) experimental; urgency=low

  * New 25c upstream release.

 -- Didier Raboud <odyx@debian.org>  Tue, 17 Jul 2012 08:18:22 +0200

c2esp (25a-1) experimental; urgency=low

  * New 25a upstream release.
    - The c2esp filter for the ESP series has been significantly
      rewritten to enable some ppd attributes like cupsInkLimit and
      cupsBlackGeneration.
    - The grey ink is now used. This makes grey areas properly grey
      (less green than they used to be).
    - Because of the grey ink and cupsInkLimit, ink cartridges should
      last longer.
    - The Black&White option is now dithered properly (and also uses the
      grey ink).

 -- Didier Raboud <odyx@debian.org>  Sat, 07 Jul 2012 02:28:48 +0200
