=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.9.0~), libcupsimage2-dev, libcupsdriver1-dev, libjbig-dev
+Build-Depends: debhelper (>= 8.9.0~), libcupsimage2-dev, libcupsfilters-dev, libjbig-dev
 Vcs-Git: git://anonscm.debian.org/collab-maint/c2esp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c2esp.git
 Homepage: http://cupsdriverkodak.sf.net/
